
file_id = "GPS_RECEIVE"

local now = os.date "*t";
local timestamp = string.format("%4.4d/%2.2d/%2.2d %2.2d:%2.2d:%2.2d",
      now["year"],now["month"],now["day"],now["hour"],now["min"],now["sec"]);

-------------------------------------------------------
-- GPS レシーバーステータスが有効な場合のみ処理を行う
-------------------------------------------------------
if g_params["Status"] == "A" then

	------------------------------------------------------------
	-- デバイス名とシリアル番号を共有データに登録
	------------------------------------------------------------
	if not add_shared_strlist("GPSDeviceList",g_params["SerialNumber"] .. ","
                         .. g_params["RemoteDeviceName"],true) then error() end;

	----------------------------------------------
	-- 取得した座標値の単位を "degree" に変換する
	----------------------------------------------
	local stat,lat,lon = gps_coordinate_deg("dmm",g_params["Latitude"],
           g_params["Longitude"],g_params["LatCompass"],g_params["LonCompass"]);
	
	---------------------------------------------------------------------------
	-- デバイス毎に最後に取得した座標を共有データに保存する
	-- "<DeviceName>_Position,<latitude>,<longitude>,<alititude>,<timestamp>"
	---------------------------------------------------------------------------
	if not set_shared_data(g_params["RemoteDeviceName"] .. "_Position",
     tostring(lat) .. "," .. tostring(lon) .. "," .. g_params["Altitude"]
	 .. "," .. timestamp) then error() end;

end;

